Package oasis.names.tc.dss._1_0.core.schema

# Class Base64Data

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.Base64Data

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Base64Data extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Base64Data()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMimeType()`
  Gets the value of the mimeType property.
  `byte[]`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setMimeType(String value)`
  Sets the value of the mimeType property.
  `void`
  `setValue(byte[] value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Base64Data

    public Base64Data()

- ## Method Details

  - ### getValue

    public byte[] getValue()
    Gets the value of the value property.
    Returns:
      possible object is byte[]

  - ### setValue

    public void setValue(byte[] value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getMimeType

    public String getMimeType()
    Gets the value of the mimeType property.
    Returns:
      possible object is `String`

  - ### setMimeType

    public void setMimeType(String value)
    Sets the value of the mimeType property.
    Parameters:
      `value` - allowed object is `String`